KDE 4.2 PyKDE API Reference

- KDE's Python API

# KDEPluginVerificationData Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

Internal:
  Stores KDE version information in a plugin library.

See also:
  K_PLUGIN_VERIFICATION_DATA

## Enumerations

anonymous | { PluginVerificationDataVersion }

## Attributes

long | KDEVersion
QString | KDEVersionString
quint8 | dataVersion

## Attribute Documentation

long KDEVersion

QString KDEVersionString

quint8 dataVersion

Internal:
  The version of this structure. Do not ever delete or change a field. Increase it in the K_EXPORT_PLUGIN_VERSION macro whenever you append a field to this structure.

## Enumeration Documentation

anonymous

Enumerator:

  PluginVerificationDataVersion = 1 |